Better wait for #nexus5 instead of #nexus4 ?